org.apache.maven.artifact.test

## Class ArtifactTestCase

- java.lang.Object
- - PlexusTestCase
  - - org.apache.maven.artifact.test.ArtifactTestCase

-     public abstract class ArtifactTestCase
      extends PlexusTestCase

  Test case that builds standard artifact stuff like repositories.
  Version:
    $Id: ArtifactTestCase.java 657432 2008-05-17 19:29:41Z hboutemy $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactTestCase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.File` | `getLocalArtifactPath(Artifact artifact)`
    `protected void` | `setUp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactTestCase

          public ArtifactTestCase()

  - ### Method Detail

    - #### getLocalArtifactPath

          protected java.io.File getLocalArtifactPath(Artifact artifact)

    - #### setUp

          protected void setUp()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`